using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Groups
{
    /// <summary>
    /// 团组成本预算表
    /// </summary>
    [SugarTable("Grp_GroupCostParameter")]
    public class Grp_GroupCostParameter:EntityBase
    {
        /// <summary>
        /// 团组ID
        /// </summary>
        [SugarColumn(IsNullable =true,ColumnDataType ="int")]
        public int DiId { get; set; }
        /// <summary>
        /// 币种
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Currency { get; set; }
        /// <summary>
        /// 汇率
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal Rate { get; set; }
        /// <summary>
        /// 税率
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal Tax { get; set; }
        /// <summary>
        /// 房费预算
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal FFYS { get; set; }
        /// <summary>
        /// 酒店系数
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal HotelXS { get; set; }
        /// <summary>
        /// 经济舱成本
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal JJCCB { get; set; }
        /// <summary>
        /// 经济舱系数
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal JJCXS { get; set; }
        /// <summary>
        /// 经济舱人数
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int JJCRS { get; set; }
        /// <summary>
        /// 公务舱成本
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal GWCCB { get; set; }
        /// <summary>
        /// 公务舱系数
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal GWCXS { get; set; }
        /// <summary>
        /// 公务舱人数
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int GWCRS { get; set; }
        /// <summary>
        /// 火车票成本
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal HCPCB { get; set; }
        /// <summary>
        /// 火车票系数
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal HCPXS { get; set; }
        /// <summary>
        /// 火车票人数
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int HCPRS { get; set; }
        /// <summary>
        /// 船票成本
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal CPCB { get; set; }
        /// <summary>
        /// 船票系数
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal CPXS { get; set; }
        /// <summary>
        /// 船票人数
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int CPRS { get; set; }
        /// <summary>
        /// 保险成本
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal BXCB { get; set; }
        /// <summary>
        /// 保险系数
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal BXXS { get; set; }
        /// <summary>
        /// 保险人数
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int BXRS { get; set; }
        /// <summary>
        /// 核酸检测成本
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal HSCB { get; set; }
        /// <summary>
        /// 核酸检测系数
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal HSXS { get; set; }
        /// <summary>
        /// 核酸检测人数
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int HSRS { get; set; }
        /// <summary>
        /// 签证成本
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal VisaCB { get; set; }
        /// <summary>
        /// 签证系数
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal VisaXS { get; set; }
        /// <summary>
        /// 签证人数
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int VisaRS { get; set; }
        /// <summary>
        /// 公务成本 : 公杂费
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal GWCB { get; set; }
        /// <summary>
        /// 公务系数: 公杂费
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal GWXS { get; set; }
        /// <summary>
        /// 公务人数 : 公杂费
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int GWRS { get; set; }
        /// <summary>
        /// 地接成本
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal DJCB { get; set; }
        /// <summary>
        /// 地接系数
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal DJXS { get; set; }
        /// <summary>
        /// 单间 单人成本
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal SGRCB { get; set; }
        /// <summary>
        /// 单间数量(人数)
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int SGRNumber { get; set; }
        /// <summary>
        /// 单间 系数
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal SGRXS { get; set; }
        /// <summary>
        /// 1/2标间 单人成本
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal TBRCB { get; set; }
        /// <summary>
        /// 1/2标间数量(人数)
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int TBRNumber { get; set; }
        /// <summary>
        /// 1/2标间  系数
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal TBRXS { get; set; }
        /// <summary>
        /// 小套房/豪华套房 单人成本
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal JSESCB { get; set; }
        /// <summary>
        /// 小套房/豪华套房数量(人数)
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int JSESNumber { get; set; }
        /// <summary>
        /// 小套房/豪华套房 系数
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal JSESXS { get; set; }
        /// <summary>
        /// 套房  单人成本
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal SUITECB { get; set; }
        /// <summary>
        /// 套房数量(人数)
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int SUITENumber { get; set; }
        /// <summary>
        /// 套房  单人成本
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal SUITEXS { get; set; }
        /// <summary>
        /// 零用金成本
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal LYJCB { get; set; }
        /// <summary>
        /// 零用金系数
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal LYJXS { get; set; }
        /// <summary>
        /// 零用金人数
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int LYJRS { get; set; }
        /// <summary>
        /// 成本完成标识  0:未完成 1：完成
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsShare { get; set; }
        
    }
}
